.chiffre-cles-block {
    position: relative;
    max-width: 1080px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    background: var(--light-gray);
    border-radius: 80px;
    border: 10px solid white;
    height: 154px;
    margin-top: -127px;
}

.key-number-item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    flex-grow: 1;
}

.key-number-header {
    font-size: 42px;
    font-family: Ubuntu, sans-serif;
    font-weight: bold;
    color: var(--main);
}

.key-number-item:not(:last-child)::after {
    content: '';
    position: absolute;
    right: 0;
    height: 100%;
    width: 2px;
    /* Thickness of the separator */
    background-color: white;
    /* Color of the separator */
    transform: translateX(50%);
    /* Adjusts the separator position */
}

.key-number-title.bti-subtitle {
    font-size: 18px;
}


/***** RESPONSIVE *****/

@media (max-width: 768px) {

    .chiffre-cles-block {
        position: relative;
        flex-direction: column;
        height: auto;
        margin-top: 0;
        position: relative;
        z-index: 2;
        max-width: 90%;
        margin: auto;
    }

    .chiffre-cles-block-container {
        position: relative;
        margin-top: -70px;
    }

    .chiffre-cles-block-container:before {
        content: "";
        position: absolute;
        width: 100vw;
        height: 50%;
        left: -18px;
        top: 0;
        background: var(--secondary-light);

    }

    .key-number-item {
        min-width: 80%;
        padding: 20px 0;
    }

    .key-number-item:not(:last-child)::after {
        width: 100%;
        height: 2px;
        left: 0;
        bottom: 0;
        transform: none;
    }

    .key-number-header {
        font-size: 32px;
    }

    .key-number-title.bti-subtitle {
        font-size: 14px;
    }
}
